<template>
  <div id="app">
    <router-view />
  </div>
</template>

<script>

export default {
  name: 'App',
  components: {
  },
  created () {
    this.$store.dispatch('organization/getOrganization');
    this.$store.dispatch('auth/getUser');
  }
}
</script>

<style lang="scss">
html, body {
  // background-color: #f9fafb !important;
  background-color: #f4f5f7  !important;
  width: 100%;
  height: 100%;
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  width: 100%;
  height: 100%;
  padding-top: 56px; //navbar
}

.subtle-shadow {
  box-shadow: 0 1px 3px 0 rgba(0,0,0,.1), 0 1px 2px 0 rgba(0,0,0,.06);
}

.dropdown-menu {
  box-shadow: 0 10px 15px -3px rgba(0,0,0,.1), 0 4px 6px -2px rgba(0,0,0,.05);
}

.col-20percent {
  flex: 0 0 18%;
  max-width: 18%;
  position: relative;
  width: 100%;
}
</style>
